curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"memberId": "<string>",
"startTime": "1764547200",
"endTime": "1767225599",
"productName": "<string>",
"productCategory": "gpu",
"ownerID": "<string>",
"tradeMode": "monthly",
"tradeType": "monthly_new_buy",
"basePrice": "1000000",
"billNum": "1",
"amount": "1000000",
"voucherAmount": "0",
"payAmount": "1000000",
"payAmountDisplay": 100,
"pricePrecision": 1,
"createTime": "1764547200",
"cycle": "2025-12",
"productId": "<string>",
"billingMethod": 2
}
]
}
Basic
Query Fixed-term Billing
GET
/
openapi
/
v1
/
billing
/
bill
/
monthly
/
list
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"memberId": "<string>",
"startTime": "1764547200",
"endTime": "1767225599",
"productName": "<string>",
"productCategory": "gpu",
"ownerID": "<string>",
"tradeMode": "monthly",
"tradeType": "monthly_new_buy",
"basePrice": "1000000",
"billNum": "1",
"amount": "1000000",
"voucherAmount": "0",
"payAmount": "1000000",
"payAmountDisplay": 100,
"pricePrecision": 1,
"createTime": "1764547200",
"cycle": "2025-12",
"productId": "<string>",
"billingMethod": 2
}
]
}
Request Headers
string
requis
Enum:
application/jsonstring
requis
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Product type. Common values:
summary(Summary bill)gpu(GPU instance)serverless(Serverless Endpoint)cloud_storage(Cloud storage)local_storage(Local storage)image(Image)bare_metal(Bare metal)
string
Product name. Supports fuzzy matching.
integer
Start time of the billing period to query, Unix timestamp in seconds (int64).
integer
End time of the billing period to query, Unix timestamp in seconds (int64).
string
Resource instance ID.
This endpoint does not support pagination. Keep each query range within 31 days. For longer ranges, split requests by calendar month or calendar week.
Response Parameters
object[]
requis
Subscription / fixed-term bill list.
Masquer properties
Masquer properties
string
requis
User account ID.
string
Member (sub-user) account ID.
string
requis
Bill start time, Unix timestamp in seconds.
string
requis
Bill end time, Unix timestamp in seconds.
string
requis
Product name.
string
requis
Product type.
string
requis
Product ID.
string
requis
Resource instance ID.
string
requis
Billing mode.
monthly indicates subscription.string
requis
Subscription transaction type. Common values:
monthly_new_buy(new purchase)monthly_re_buy(renewal)monthly_re_config(configuration change or scale-up)
int32
requis
Billing method:
1: pay-as-you-go2: subscription3: refund4: Spot billing5: Batch API6: Saving Plan7: LLM multimodal billing8: bare metal test deduction
string
requis
Unit price.
string
requis
Usage. For
gpu, this usually means GPU card count × subscription duration. For storage products, this usually means storage capacity.string
requis
Total amount, unit is 1/10000 USD.
string
requis
Amount deducted by vouchers, unit is 1/10000 USD.
string
requis
Cash payment amount, unit is 1/10000 USD.
float
requis
Display value of cash payment amount, in USD.
int32
requis
Price precision. Unit price (USD) = unit price / 10000 /
pricePrecision.string
requis
Bill creation time, Unix timestamp in seconds.
string
requis
Billing cycle, in
YYYY-MM format.int32
Storage usage duration, in days.
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"memberId": "<string>",
"startTime": "1764547200",
"endTime": "1767225599",
"productName": "<string>",
"productCategory": "gpu",
"ownerID": "<string>",
"tradeMode": "monthly",
"tradeType": "monthly_new_buy",
"basePrice": "1000000",
"billNum": "1",
"amount": "1000000",
"voucherAmount": "0",
"payAmount": "1000000",
"payAmountDisplay": 100,
"pricePrecision": 1,
"createTime": "1764547200",
"cycle": "2025-12",
"productId": "<string>",
"billingMethod": 2
}
]
}
Dernière modification le 10 août 2026